Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452284 - samba sharing problem - Matchname failed
Summary: samba sharing problem - Matchname failed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-20 18:12 UTC by Michael J. Chudobiak
Modified: 2010-05-10 17:46 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:32:00 UTC


Attachments (Terms of Use)

Description Michael J. Chudobiak 2008-06-20 18:12:17 UTC
A Windows 98 machine can not access samba shares after the samba server was
upgraded to F9. It worked OK before the upgrade.

The samba logs say:

[2008/06/20 13:45:23,  0] lib/util_sock.c:matchname(1670)
  matchname: host name/address mismatch: ::ffff:192.168.0.93 !=
engraver.domain.avtechpulse.com
[2008/06/20 13:45:23,  0] lib/util_sock.c:get_peer_name(1791)
  Matchname failed on engraver.domain.avtechpulse.com ::ffff:192.168.0.93

The "::ffff:" may be the source of confusion. The DNS should be OK:

[root@server2 samba]# ping engraver
PING engraver.domain.avtechpulse.com (192.168.0.93) 56(84) bytes of data.

Similar issues reported here:
http://forums.fedoraforum.org/forum/showthread.php?t=192091
http://forums.fedoraforum.org/forum/showthread.php?t=192136

- Mike

Comment 1 Michael J. Chudobiak 2008-06-23 18:42:21 UTC
I removed the "allow hosts" clause from smb.conf to eliminate the ip-number
matching. That eliminated the above problem.

Then I found that current samba releases disable lanman authentication by
default. And they quietly delete the old lanman hashes from the user database. A
double whammy:

http://lists.samba.org/archive/samba-technical/2007-September/055549.html

I had to add:

lanman auth = yes
client plaintext auth = yes    # not sure if this is needed
client lanman auth = yes

AND reset the W98 user's password in Samba.

I think the original issue is still real (address matching failing). This
comment is to assist anyone else who has to support F9 + W98.


- Mike



Comment 2 Paul Wilson 2009-01-29 06:02:07 UTC
I have Fedora 10 (F10) and have used the above lanman auth config, but still receive the above errors in the samba log file.

What data do you need?

Comment 3 Pete Zaitcev 2009-03-02 22:44:34 UTC
I see it on Rawhide 10.92 too, but access works. It's just the annoying
message in the logs in my case.

Mar  2 15:12:53 elanor smbd[6537]: [2009/03/02 15:12:53,  0] lib/util_sock.c:matchname(1749)
Mar  2 15:12:53 elanor smbd[6537]:   matchname: host name/address mismatch: ::ffff:192.168.128.12 != shadow.zaitcev.lan
Mar  2 15:12:53 elanor smbd[6537]: [2009/03/02 15:12:53,  0] lib/util_sock.c:get_peer_name(1870)
Mar  2 15:12:53 elanor smbd[6537]:   Matchname failed on shadow.zaitcev.lan ::ffff:192.168.128.12

[root@elanor master]# host shadow
shadow.zaitcev.lan has address 192.168.128.12
shadow.zaitcev.lan has IPv6 address fec0::1:0:0:c0a8:800c
[root@elanor master]# host 192.168.128.12
12.128.168.192.in-addr.arpa domain name pointer shadow.zaitcev.lan.
[root@elanor master]# grep auth /etc/samba/smb.conf
[root@elanor master]#

Comment 4 Mark Whidby 2009-03-04 15:59:56 UTC
A useful workround if you're not actually using IPv6 is to disable it. I did this by creating a file in /etc/modprobe.d called disable-ipv6 (but you can call it whatever you want) with the contents:-

install ipv6 /bin/true

Reboot and check that ipv6 is no longer around by "/sbin/lsmod | grep ipv6".
You can then re-enable any "hosts allow" in the samba configuration, restart samba
and they should be honoured without any error messages.

Comment 5 Bug Zapper 2009-06-10 01:42:25 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-07-14 16:32:00 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Ian Phillips 2009-07-19 06:59:59 UTC
Initial post has two separate issues

Win-98 issue has been dealt with

The spurious log messages is not a bug.

This is samba attempting a reverse lookup to help guard against man-in-the-middle attacks and the target DNS server not providing a suitable response to an IP V.6 request.
To test:  dig -6 <hostname.hostdomain> and you should get back the IP v6 address.
Then:     dig -x6 <ip-v6-address> and you won't get back the 
                  <hostname>.<hostdomain> details.

If so, simply add an entry to the local /etc/hosts file

::ffff:<ip-v4-address>  <hostname>.<hostdomain>

eg:  

::ffff:192.168.1.5 myhost.mydomain

The spurious messages should then cease

Comment 8 R. Michael Richer 2009-11-26 15:15:07 UTC
Regarding:
The ::ffff: notation for the ipv4 to ipv6 address conversion..

Would this not denote a broken resolver?
Eg:
::1 is the localhost loopback (pure IPv6)
formally, it can also be specified as:
::ffff:7e00:0001 (IPv4-to-IPv6 address)

The default /etc/hosts file only includes the ::1 address and not the formal ipv4-to-ipv6 loopback address.

... Sorry was rambling ... but in short:

Should the local resolver be able to identify the ::ffff:* addresses as ipv4-to-ipv6 addresses and perform an ipv4 query instead?  (It may need to use an ipv6 to ipv4 translation system to get it...)
But it should be attempting the ipv4 query first..

my 2 cents on a CLOSED WONTFIX bug... as this stumped me for quite some time.. (as I'm not entering 2000+ hosts in my DNS server, nor my local hosts file...)

Comment 9 R. Michael Richer 2009-11-26 15:28:25 UTC
Interesting read if your interested in the 6to4 stuff...
http://www.ops.ietf.org/lists/v6ops/v6ops.2008/msg00132.html

Comment 10 Albert Flügel 2010-05-10 17:46:55 UTC
Adding IPv6 addresses to /etc/hosts is in many cases not an acceptable workaround, e.g. when it comes to matching entries in netgroups. You are maintaining netgroups and hosts in DNS to get rid of local entries.

What happens: Samba does not recognize, that the IPv6 address is just the mapped IPv4 address (see wikipedia or whatever).

To really get around this problem without the need to patch samba, please see here:

http://www.muc.de/~af/sw/sw.html#samba


Note You need to log in before you can comment on or make changes to this bug.